	include "include/dosUtil2.i"
	
	XREF	UByteRep
	XREF	UWordRep
	XDEF	_main

_main:
	dosUtilInit
	cmp		#0,d0
	beq 	.fail
	
	
	; print hello
	dosUtilPrintString #Hello,#HelloLen
	
	; print newline
	; dosUtilPrintNewLine
	dosUtilPrintString #NewLine,#NewLineLength
	
	; print ubyte
	lea.l	UByteString,a5
	move.l	#123,d0
	jsr 	UByteRep
	dosUtilPrintString #UByteString,#UByteStringLength
	dosUtilPrintString #NewLine,#NewLineLength
	
	; print uword
	lea.l	UWordString,a5
	move.l	#12345,d0
	jsr 	UWordRep
	dosUtilPrintString #UWordString,#UWordStringLength
	dosUtilPrintString #NewLine,#NewLineLength
	
	
	dosUtilRelease
	
.ok:
	moveq	#RETURN_OK,d0
	rts
	
; ?? can't move this to dosUtil.i ??
.fail:
	moveq	#RETURN_FAIL,d0
	rts


	cnop	0,4

Hello:
	dc.b	'Hello World!'
HelloLen	equ	*-Hello

NewLine:
	dc.b 	'',10
NewLineLength equ *-NewLine

UByteString:
	dc.b	'abc'
UByteStringLength	equ 3

UWordString:
	dc.b	'abcde'
UWordStringLength	equ 5

; ?? can't move this to dosUtil.i ??
DOSName:
	DOSNAME
	
	end